# Enum Class Encoding

java.lang.Object
java.lang.Enum<Encoding>
javajs.util.Encoding

All Implemented Interfaces:
  `Serializable, Comparable<Encoding>, Constable`

public enum Encoding extends Enum<Encoding>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`UTF_16BE`
`UTF_16LE`
`UTF_32BE`
`UTF_32LE`
`UTF8`

## Method Summary

Modifier and Type
Method
Description
`static Encoding`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Encoding[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Encoding NONE

### UTF8

public static final Encoding UTF8

### UTF_16BE

public static final Encoding UTF_16BE

### UTF_16LE

public static final Encoding UTF_16LE

### UTF_32BE

public static final Encoding UTF_32BE

### UTF_32LE

public static final Encoding UTF_32LE

## Method Details

### values

public static Encoding[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Encoding valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null